<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <script src="bower_components/jquery/dist/jquery.min.js"></script>
  <script src="bower_components/lodash/dist/lodash.min.js"></script>
  <script src="bower_components/moment/min/moment.min.js"></script>
  <script src="vendors/qrcode.min.js"></script>
  <script src="vendors/rasterizeHTML.allinone.js"></script>
  <script src="bower_components/handlebars/handlebars.min.js"></script>
  <script src="bower_components/jspdf/dist/jspdf.min.js"></script>
  <script src="projotno-prescription-renderer.js"></script>
  <style>
    * {
      margin: 10px;
      font-size: 18px;
    }
  </style>
  <script>
    $(document).ready(function () {
      $('#manual-ratio').on('change', function () {
        $('#ratio').attr('disabled', !$('#manual-ratio').is(':checked'));
      });
    });
    function go(outputMode) {
      $.ajax("prescription.handlebars").done(function (tmpl) {
        var template = Handlebars.compile(tmpl);
        $.ajax("prescription.sample/prescription.json").done(function (prescription) {
          ProjotnoPrescriptionRenderer.render(
            template,
            prescription,
            $('input[name=orientation]:checked').val(),
            outputMode,
            $('#manual-ratio').is(':checked') ? $('#ratio').val() : undefined,
            function (res) {
              if (outputMode.split('/')[1].startsWith('data')) console.log(res);
            },
            function (err) {
              console.error(err);
            });
        });
      });
    }
  </script>
</head>

<body>
  <div>
    <form>
      <input type="radio" name="orientation" value="l" checked>Landscape</input>
      <input type="radio" name="orientation" value="p">Portrait</input>
      <label for="ratio">Ratio:</label
      ><input id="manual-ratio" type="checkbox" checked>
      <input id="ratio" type="number" min=".1" max="5" step=".1" value ="2"/>
    </form>
  </div>
  <div>
    <button type="button" onclick="go('image/window')">image/window</button>
    <button type="button" onclick="go('image/data')">image/data</button>
    <button type="button" onclick="go('image/datauri')">image/datauri</button>
  </div>
  <div>
    <button type="button" onclick="go('pdf/window')">pdf/window</button>
    <button type="button" onclick="go('pdf/print')">pdf/print</button>
    <button type="button" onclick="go('pdf/data')">pdf/data</button>
    <button type="button" onclick="go('pdf/datauri')">pdf/datauri</button>
  </div>
</body>

</html>
